/***************************************************************************
 * Copyright 2012 by
 *  + Christian-Albrechts-University of Kiel
 *    + Department of Computer Science
 *      + Software Engineering Group 
 *  and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.common;

/**
 * The class {@link Global} is a utility class with no properties, but global accessible constants. As there are no non-static fields or methods are available, it
 * cannot be instantiated. There are also no static fields available which can be modified during runtime.
 * 
 * @author Nils Christian Ehmke
 * @version 1.0
 */
public final class Global {
	/**
	 * This is the name of the page for the project overview. The page name has been modified to use a redirect of the browser.
	 */
	public static final String PAGE_PROJECT_OVERVIEW = "ProjectOverview.xhtml?faces-redirect=true";

	public static final String KIEKER_LIB = "kieker-1.6-SNAPSHOT_emf.jar";

	/**
	 * Default constructor.
	 */
	private Global() {
		// No code necessary
	}
}
